Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib
Class UIComponentTagUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.taglib.UIComponentTagUtils

    public class UIComponentTagUtils

extends Object

Version:
  $Revision: 472630 $ $Date: 2006-11-08 15:40:03 -0500 (Wed, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`static boolean` | `isValueReference(String v)`
`static void` | `setActionListenerProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String actionListener)`
`static void` | `setActionProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String action)`
`static void` | `setBooleanProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String propName, String value)`
`static void` | `setConverterProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
`static void` | `setIntegerProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String propName, String value)`
`static void` | `setLongProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String propName, String value)`
`static void` | `setStringProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String propName, String value)`
`static void` | `setValidatorProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String validator)`
`static void` | `setValueBinding(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String propName, String value)`
`static void` | `setValueChangedListenerProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String valueChangedListener)`
`static void` | `setValueProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isValueReference

    public static boolean isValueReference(String v)

### setIntegerProperty

    public static void setIntegerProperty(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          String propName,
                                          String value)

### setLongProperty

    public static void setLongProperty(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       String propName,
                                       String value)

### setStringProperty

    public static void setStringProperty(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         String propName,
                                         String value)

### setBooleanProperty

    public static void setBooleanProperty(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          String propName,
                                          String value)

### setValueProperty

    public static void setValueProperty(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        String value)

### setConverterProperty

    public static void setConverterProperty(javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent component,
                                            String value)

### setValidatorProperty

    public static void setValidatorProperty(javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent component,
                                            String validator)

### setValueBinding

    public static void setValueBinding(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       String propName,
                                       String value)

### setActionProperty

    public static void setActionProperty(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         String action)

### setActionListenerProperty

    public static void setActionListenerProperty(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component,
                                                 String actionListener)

### setValueChangedListenerProperty

    public static void setValueChangedListenerProperty(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       String valueChangedListener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.